API Referenceapipatient-graphGET /v1/patients/me/treatments

GET /v1/patients/me/treatments

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • status (string) —

Responses

200 Treatments for the authenticated patient with linked prescriptions and consultations

{
  "type": "object",
  "properties": {
    "treatments": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "brand_id": {
            "type": "string"
          },
          "patient_id": {
            "type": "string",
            "format": "uuid"
          },
          "rimo_treatment_id": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "billing_plan_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "started_at": {
            "type": [
              "string",
              "null"
            ],
            "format": "date-time"
          },
          "ended_at": {
            "type": [
              "string",
              "null"
            ],
            "format": "date-time"
          },
          "metadata": {
            "type": "object",
            "additionalProperties": {}
          },
          "created_at": {
            "type": "string",
            "format": "date-time"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time"
          },
          "prescriptions": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string",
                  "format": "uuid"
                },
                "brand_id": {
                  "type": "string"
                },
                "patient_id": {
                  "type": "string",
                  "format": "uuid"
                },
                "treatment_id": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "format": "uuid"
                },
                "rimo_order_id": {
                  "type": "string"
                },
                "medication_name": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "dosage": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "quantity": {
                  "type": [
                    "integer",
                    "null"
                  ]
                },
                "refills": {
                  "type": [
                    "integer",
                    "null"
                  ]
                },
                "prescribed_date": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "next_refill_date": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "status": {
                  "type": "string"
                },
                "pharmacy_id": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "pharmacy_name": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "tracking_number": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "transmitted_at": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "format": "date-time"
                },
                "shipped_at": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "format": "date-time"
                },
                "delivered_at": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "format": "date-time"
                },
                "cancelled_at": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "format": "date-time"
                },
                "metadata": {
                  "type": "object",
                  "additionalProperties": {}
                },
                "created_at": {
                  "type": "string",
                  "format": "date-time"
                },
                "updated_at": {
                  "type": "string",
                  "format": "date-time"
                }
              },
              "required": [
                "id",
                "brand_id",
                "patient_id",
                "treatment_id",
                "rimo_order_id",
                "medication_name",
                "dosage",
                "quantity",
                "refills",
                "prescribed_date",
                "next_refill_date",
                "status",
                "pharmacy_id",
                "pharmacy_name",
                "tracking_number",
                "transmitted_at",
                "shipped_at",
                "delivered_at",
                "cancelled_at",
                "metadata",
                "created_at",
                "updated_at"
              ]
            }
          },
          "consultations": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string",
                  "format": "uuid"
                },
                "brand_id": {
                  "type": "string"
                },
                "patient_id": {
                  "type": "string",
                  "format": "uuid"
                },
                "rimo_consultation_id": {
                  "type": "string"
                },
                "scheduled_at": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "format": "date-time"
                },
                "started_at": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "format": "date-time"
                },
                "completed_at": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "format": "date-time"
                },
                "outcome": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "notes": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "metadata": {
                  "type": "object",
                  "additionalProperties": {}
                },
                "created_at": {
                  "type": "string",
                  "format": "date-time"
                },
                "updated_at": {
                  "type": "string",
                  "format": "date-time"
                }
              },
              "required": [
                "id",
                "brand_id",
                "patient_id",
                "rimo_consultation_id",
                "scheduled_at",
                "started_at",
                "completed_at",
                "outcome",
                "notes",
                "metadata",
                "created_at",
                "updated_at"
              ]
            }
          }
        },
        "required": [
          "id",
          "brand_id",
          "patient_id",
          "rimo_treatment_id",
          "status",
          "billing_plan_id",
          "started_at",
          "ended_at",
          "metadata",
          "created_at",
          "updated_at",
          "prescriptions",
          "consultations"
        ]
      }
    }
  },
  "required": [
    "treatments"
  ]
}

404 Patient not found for current user

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://patient-graph.platform.loop.health/v1/patients/me/treatments \
  -H "Authorization: Bearer $ACCESS_TOKEN"